> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://walmart.postmansolutions.com/us-marketplace/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://walmart.postmansolutions.com/us-marketplace/_mcp/server.

# Retrieves a list of transportation options for a placement option.

GET https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/{inboundPlanId}/transportationOptions

Reference: https://walmart.postmansolutions.com/us-marketplace/api-reference/orders-fulfillment/fulfillment-inbound/wfs-inbound/list-transportation-options

## Servers

- `https://marketplace.walmart.com/seller/v1` (Production, default)
- `https://sandbox.marketplace.walmart.com/seller/v1` (Sandbox)

## Request

### Path parameters

- `inboundPlanId` (string, required) — Identifier of an inbound plan.

### Query parameters

- `pageSize` (integer, optional) — The number of transportation options to return in the response matching the given query.
- `paginationToken` (string, optional) — A token to fetch a certain page when there are multiple pages worth of results.
- `placementOptionId` (string, optional) — The placement option to get transportation options for. Either `placementOptionId` or `shipmentId` must be specified.
- `shipmentId` (string, optional) — The shipment to get transportation options for. Either `placementOptionId` or `shipmentId` must be specified.

## Response

### 200

Success

- `transportationOptions` (list of TransportationOption, required) — Transportation options generated for the placement option.
- `pagination` (Pagination, optional) — Contains tokens to fetch from a certain page.

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of Error, required) — List of errors.

### 403 Forbidden Error

Forbidden

- `errors` (list of Error, required) — List of errors.

### 404 Not Found Error

Not Found

- `errors` (list of Error, required) — List of errors.

### 429 Too Many Requests Error

Rate limit exceeded

- `errors` (list of Error, required) — List of errors.

### 500 Internal Server Error

Internal Server Error

- `errors` (list of Error, required) — List of errors.

## Types

### TransportationOption

Contains information pertaining to a transportation option and the related carrier.

- `carrier` (Carrier, required) — The carrier for the inbound shipment.
- `preconditions` (list of string, required) — Identifies a list of preconditions for confirming the transportation option.
- `shipmentId` (string, required) — Identifier of a shipment.
- `shippingMode` (string, required) — Mode of shipment transportation. Possible values: `GROUND_SMALL_PARCEL`, `FREIGHT_LTL`, `FREIGHT_FTL_PALLET`, `FREIGHT_FTL_NONPALLET`, `OCEAN_LCL`, `OCEAN_FCL`, `AIR_SMALL_PARCEL`, `AIR_SMALL_PARCEL_EXPRESS`.
- `shippingSolution` (string, required) — Shipping program for the option. Possible values: `WALMART_PARTNERED_CARRIER`, `USE_YOUR_OWN_CARRIER`.
- `transportationOptionId` (string, required) — Identifier of a transportation option.
- `carrierAppointment` (CarrierAppointment, optional) — Contains details for a transportation carrier appointment.
- `quote` (Quote, optional) — The estimated shipping cost associated with the transportation option.

### Pagination

Contains tokens to fetch from a certain page.

- `nextToken` (string, optional) — When present, pass this string token in the next request to return the next response page.

### Error

Error object containing information about what went wrong.

- `code` (string, required) — An error code that identifies the type of error that occurred.
- `message` (string, required) — A message that describes the error condition.
- `details` (string, optional) — Additional details that can help the caller understand or fix the issue.

### Carrier

The carrier for the inbound shipment.

- `alphaCode` (string, optional) — The carrier code. For example, USPS or DHLEX.
- `name` (string, optional) — The name of the carrier.

### CarrierAppointment

Contains details for a transportation carrier appointment.

- `endTime` (datetime, required) — The end timestamp of the appointment in UTC.
- `startTime` (datetime, required) — The start timestamp of the appointment in UTC.

### Quote

The estimated shipping cost associated with the transportation option.

- `cost` (Currency, required) — The type and amount of currency.
- `expiration` (datetime, optional) — The time at which this transportation option quote expires. In ISO 8601 datetime with pattern `yyyy-MM-ddTHH:mm:ss.sssZ`.
- `voidableUntil` (datetime, optional) — Voidable until timestamp.

### Currency

The type and amount of currency.

- `amount` (double, required) — Decimal value of the currency.
- `code` (string, required) — ISO 4217 standard currency code.

## Examples

**Response**

```json
{
  "transportationOptions": [
    {
      "carrier": {
        "alphaCode": "string",
        "name": "string"
      },
      "preconditions": [
        "string"
      ],
      "shipmentId": "string",
      "shippingMode": "string",
      "shippingSolution": "string",
      "transportationOptionId": "string",
      "carrierAppointment": {
        "endTime": "2024-01-15T09:30:00Z",
        "startTime": "2024-01-15T09:30:00Z"
      },
      "quote": {
        "cost": {
          "amount": 1.1,
          "code": "string"
        },
        "expiration": "2024-01-15T09:30:00Z",
        "voidableUntil": "2024-01-15T09:30:00Z"
      }
    }
  ],
  "pagination": {
    "nextToken": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/transportationOptions"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/transportationOptions';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/transportationOptions"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/transportationOptions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/transportationOptions")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/transportationOptions');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/transportationOptions");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/transportationOptions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```